package com.vandyo.sentry.core.exceptions;

import com.vandyo.sentry.core.dto.ErrStatus;

public class CaseException extends Exception {
    private String key;
    private ErrStatus status;

    public CaseException(String key, ErrStatus status) {
        this.key = key;
        this.status = status;
    }

    public CaseException(String message, String key, ErrStatus status) {
        super(message);
        this.key = key;
        this.status = status;
    }

    public CaseException(String message, Throwable cause, String key, ErrStatus status) {
        super(message, cause);
        this.key = key;
        this.status = status;
    }

    public CaseException(Throwable cause, String key, ErrStatus status) {
        super(cause);
        this.key = key;
        this.status = status;
    }

    public CaseException(String message, Throwable cause, boolean enableSuppression, boolean writableStackTrace, String key, ErrStatus status) {
        super(message, cause, enableSuppression, writableStackTrace);
        this.key = key;
        this.status = status;
    }

    public String getKey() {
        return key;
    }

    public ErrStatus getStatus() {
        return status;
    }
}
